uniform_generator(3)

NAME
uniform_generator - The class uniform_generator can be used in the STL generate function to easily generate random floats and doubles either in [0, _max) if only 1 value (_max) is given (or none, as _max defaults to 1.0) or in [_min,_max) if 2 values are given (_min, _max).

SYNOPSIS

#include <rnd_generators.h>

  Public Member Functions
uniform_generator (T _max=T(1.0), eoRng &_rng=rng)
uniform_generator (T _min, T _max, eoRng &_rng=rng)
T operator() (void)

  Private Attributes
T minim
T range
eoRng & uniform

Detailed Description

  template<class T = double> class uniform_generator< T >
The class uniform_generator can be used in the STL generate function to easily generate random floats and doubles either in [0, _max) if only 1 value (_max) is given (or none, as _max defaults to 1.0) or in [_min,_max) if 2 values are given (_min, _max).

Definition at line 44 of file rnd_generators.h.

Author

Generated automatically by Doxygen for EO from the source code.